Page MenuHomePhabricator

delete.py --undelete unhandled exception when page exists
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/1260/
Reported by: tgr_
Created on: 2010-11-21 15:52:40
Subject: delete.py --undelete unhandled exception when page exists
Original description:
Trying to undelete an existing page gives the following error:

Processing page XXX
Note: Your sysop account on wikipedia:hu does not have a bot flag. Its edits wil
l be visible in the recent changes.
Sleeping for 6.3 seconds, 2010-11-21 16:34:14
Traceback \(most recent call last\):
File "C:\home\wikipedia\pywikipediabot\delete.py", line 242, in <module>
main\(\)
File "C:\home\wikipedia\pywikipediabot\delete.py", line 236, in main
bot.run\(\)
File "C:\home\wikipedia\pywikipediabot\delete.py", line 125, in run
page.undelete\(self.summary, throttle = True\)
File "C:\home\wikipedia\pywikipediabot\wikipedia.py", line 3306, in undelete
raise RuntimeError\("%s" % result\['error'\]\)
RuntimeError: \{u'info': u"Couldn't undelete: the requested revisions may not exi
st, or may have been undeleted already", u'code': u'cantundelete'\}

version.py:
Pywikipedia \[http\] trunk/pywikipedia \(r8736, 2010/11/20, 10:28:21\)
Python 2.6.5 \(r265:79096, Mar 19 2010, 21:48:26\) \[MSC v.1500 32 bit \(Intel\)\]
config-settings:
use\_api = True
use\_api\_login = True
unicode test: ok


Version: compat-(1.0)
Severity: normal
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/1260

Details

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:30 AM
bzimport set Reference to bz55255.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:52 AM
Unicodesnowman added a project: Pywikibot.
Unicodesnowman set Security to None.
Unicodesnowman removed a subscriber: Unknown Object (????).

Change 181359 had a related patch set uploaded (by Unicodesnowman):
Update DeletionBot for undelete, implement tests

https://gerrit.wikimedia.org/r/181359

Patch-For-Review

Change 181359 merged by jenkins-bot:
Update DeletionBot for undelete, implement tests

https://gerrit.wikimedia.org/r/181359

jayvdb moved this task from Backlog to Compat only on the Pywikibot-Scripts board.Dec 26 2014, 6:26 AM
jayvdb removed projects: Patch-For-Review, Pywikibot.
Unicodesnowman closed this task as Resolved.Dec 27 2014, 1:35 AM